<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>GTSBox: /Users/dlekshmi/Desktop/Repos/PhD/GTSBox/Src/NLME/SecondStage/SecondStageEstimation/LGTS_EM.m Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">GTSBox
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_413f4e031a85da0d68269c6fd2f76e1c.html">Src</a></li><li class="navelem"><a class="el" href="../../dir_8672bca13fc16af0e54d5ddc01090308.html">NLME</a></li><li class="navelem"><a class="el" href="../../dir_29c207c1a10848cd925bbfd8d0c3e900.html">SecondStage</a></li><li class="navelem"><a class="el" href="../../dir_d8a60b92c16e23f60599a39fb1c55a00.html">SecondStageEstimation</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">LGTS_EM.m</div>  </div>
</div><!--header-->
<div class="contents">
<a href="../../d3/d6d/_l_g_t_s___e_m_8m.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; </div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160; </div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160; </div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="keyword">function</span> [Result]=<a class="code" href="../../d3/d6d/_l_g_t_s___e_m_8m.html#a6d06c2e8938b1175de2a7aa2d5952924">LGTS_EM</a>(betahat0,Dhat0,beta_ihat,invCi,C_i,conv,DiagD,Ai,varargin)</div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;%% Initialize</div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;betahat=betahat0;</div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;D = Dhat0;</div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;ncells=length(beta_ihat);</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160; </div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;% convergence estimate</div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;conv_flag=1;</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;maxiter=conv.maxiter;</div>
<div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="../../d3/d6d/_l_g_t_s___e_m_8m.html#a6d06c2e8938b1175de2a7aa2d5952924">   13</a></span>&#160;tol=conv.tol;</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160; </div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;% Covariate_flags</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;% ncov=length(unique(covariate_flag));</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;% covariate_flags=<a class="code" href="../../d5/ddd/generate_dummy_var_8m.html#aa8b4264401f69256e730ceee4bcb7bb9">generateDummyVar</a>(covariate_flag,ncov);</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160; </div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;% Initialize</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;diffbeta=zeros(maxiter,1);</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;diffD=zeros(maxiter,1,1);</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;niter=0;                                              % iteration counter</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;allbetahats=zeros(length(betahat),maxiter,1);     % stores the values of betahats at each iteration</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;allDs=zeros(size(D(:,:,1),1)^2,maxiter,1);        % stores the values of D estimates at each iteration</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;diffs=[];</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160; </div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160; </div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="keywordflow">while</span> conv_flag==1</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160; </div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;    %% E-step: Get expected single-cell parameters given betahat and D</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;    beta_i=zeros(size(beta_ihat));</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    D_inv=<a class="code" href="../../d7/d6f/get_stable_inverse_8m.html#ae25b5a84ac67e3f37713d82beb789f4e">getStableInverse</a>(D);</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    <span class="keywordflow">for</span>  i=1:ncells</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;        beta_i(i,:)=(<a class="code" href="../../d7/d6f/get_stable_inverse_8m.html#ae25b5a84ac67e3f37713d82beb789f4e">getStableInverse</a>(invCi(:,:,i)+D_inv)*(invCi(:,:,i)*beta_ihat(i,:)<span class="stringliteral">&#39;+D_inv*Ai(:,:,i)*betahat&#39;</span>))<span class="stringliteral">&#39;; %5.12</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="stringliteral">    end</span></div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="stringliteral">    %% M step: Get the beta and D that maximize the likelihood</span></div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="stringliteral">    betahat_c=betahat; %at iteration c</span></div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="stringliteral">    D_c=D;             %at iteration c</span></div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="stringliteral">    wi_t1=zeros(size(betahat,2),size(betahat,2),1); %term 1 of Weight below 5.13</span></div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="stringliteral">    Wi=zeros(size(betahat,2),size(beta_i,2),ncells);</span></div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="stringliteral">    %% estimate betahat</span></div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="stringliteral">    for i=1:ncells</span></div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="stringliteral">        wi_t1=wi_t1+Ai(:,:,i)&#39;</span>*D_inv*Ai(:,:,i); %sum over all D^-1, Ai(:,:,i)<span class="stringliteral">&#39;*</span></div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="stringliteral">    end</span></div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="stringliteral">    for i=1:ncells</span></div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="stringliteral">        Wi(:,:,i)=Wi(:,:,i)+getStableInverse(wi_t1)*Ai(:,:,i)&#39;</span>*D_inv;</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    end</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160; </div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    betahat_tmp=zeros(ncells,size(betahat,2));</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;    <span class="keywordflow">for</span>  i=1:ncells</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;        betahat_tmp(i,:)=(Wi(:,:,i)*beta_i(i,:)<span class="charliteral">&#39;)&#39;</span>; % 5.13</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;    end</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160; </div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    betahat=sum(betahat_tmp);</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160; </div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    %% estimate D, given betahat</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160; </div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160; </div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    D_t1=zeros(size(D));</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;    D_t2=D_t1;</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160; </div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160; </div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160; </div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    <span class="keywordflow">for</span> i=1:ncells</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160; </div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160; </div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;        D_t1=D_t1+<a class="code" href="../../d7/d6f/get_stable_inverse_8m.html#ae25b5a84ac67e3f37713d82beb789f4e">getStableInverse</a>(invCi(:,:,i)+D_inv); %term 1 from 5.15</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;%         <span class="keywordflow">if</span>(isnan(D_t1))</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;%             disp(<span class="stringliteral">&#39;Inversion issues detected; check model&#39;</span>)</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;%         end</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;        betadiff=(Ai(:,:,i)*betahat<span class="stringliteral">&#39;-beta_i(i,:)&#39;</span>)<span class="stringliteral">&#39;;</span></div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;<span class="stringliteral">        if DiagD==1 % If you use a diagonal matrix, then only report that</span></div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;<span class="stringliteral">            D_t2=D_t2+diag(diag(betadiff&#39;</span>*betadiff));</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;        <span class="keywordflow">else</span></div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;            D_t2=D_t2+(betadiff<span class="stringliteral">&#39;*betadiff); %term 2 from 5.15</span></div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;<span class="stringliteral">        end</span></div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;<span class="stringliteral">    end</span></div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;<span class="stringliteral">    D_t2=D_t2./size(beta_i,1);%sum(covariate_flags(:,k));</span></div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;<span class="stringliteral">    D=D_t1./size(beta_i,1)+D_t2;</span></div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;<span class="stringliteral">    diffD=abs(D_c-D);%./max(D0,D);</span></div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;<span class="stringliteral">    diffs=cat(1,diffs,max(max(diffD)));</span></div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;<span class="stringliteral">    diffbeta(niter+1)=max(abs(betahat_c-betahat));</span></div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;<span class="stringliteral">    diffD(niter+1,1,1)=max(max(abs(D_c-D)));%./max(D0,D);</span></div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;<span class="stringliteral">    allbetahats(:,niter+1,1)=betahat;</span></div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;<span class="stringliteral">    allDs(:,niter+1,1)=reshape(D,size(D,2).^2,1);</span></div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;<span class="stringliteral">    disp([max(diffbeta(niter+1)),max(max(diffD(:,:,1)))])</span></div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;<span class="stringliteral">    niter=niter+1;</span></div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;<span class="stringliteral">    conv_flag=~all([(max(diffbeta(niter+1)))&lt;tol,max(max(diffD))&lt;tol]);</span></div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;<span class="stringliteral">end</span></div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;<span class="stringliteral">diffbeta=diffbeta(1:niter);</span></div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;<span class="stringliteral">% Report the likelihood here</span></div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;<span class="stringliteral">t1=0;</span></div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;<span class="stringliteral">t2=0;</span></div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;<span class="stringliteral">for i=1:ncells</span></div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;<span class="stringliteral">        t1=t1+log(det(C_i(:,:,i)+D));</span></div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;<span class="stringliteral">        t2=t2+(beta_i(i,:)&#39;</span>-Ai(:,:,i)*betahat<span class="charliteral">&#39;)&#39;</span>*<a class="code" href="../../d7/d6f/get_stable_inverse_8m.html#ae25b5a84ac67e3f37713d82beb789f4e">getStableInverse</a>(C_i(:,:,i)+D)*(beta_i(i,:)<span class="stringliteral">&#39;-Ai(:,:,i)*betahat&#39;</span>);</div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;end</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160; </div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;Likelihood=-t1-t2;</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160; </div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;%% Make the reuslt structure</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;Result.PopCovar=D; %: Cov. matrix (TODO: make a meaningful <span class="keywordtype">object</span> to store <span class="keyword">this</span>)</div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;Result.eBayesEsts=beta_i; %: ebayes individual estimates</div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;Result.PopMean=betahat; %: mean parameter estimate</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;Result.allMeans=allbetahats(:,1:niter);          % convergence of parameter vector</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;Result.allVars=allDs(:,1:niter);                 %  convergence of D</div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;Result.cluster_prob=[];               % cluster probablities</div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;Result.niter=niter;                   % iteration number</div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;Result.rblitys=[];                    % responsiblities</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;Result.Likelihood=Likelihood;</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;Result.designMat=Ai;</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;Result.invCi=invCi;</div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160; </div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160; </div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;end</div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="aget_stable_inverse_8m_html_ae25b5a84ac67e3f37713d82beb789f4e"><div class="ttname"><a href="../../d7/d6f/get_stable_inverse_8m.html#ae25b5a84ac67e3f37713d82beb789f4e">getStableInverse</a></div><div class="ttdeci">function getStableInverse(in inpMat)</div><div class="ttdoc">getStableInverse gets the inverse of a matrix. First Cholesky is tried. If that fails,...</div></div>
<div class="ttc" id="agenerate_dummy_var_8m_html_aa8b4264401f69256e730ceee4bcb7bb9"><div class="ttname"><a href="../../d5/ddd/generate_dummy_var_8m.html#aa8b4264401f69256e730ceee4bcb7bb9">generateDummyVar</a></div><div class="ttdeci">function generateDummyVar(in covariate_flag, in ncov)</div><div class="ttdoc">generateDummyVar generates dummy variable coding</div></div>
<div class="ttc" id="a_l_g_t_s___e_m_8m_html_a6d06c2e8938b1175de2a7aa2d5952924"><div class="ttname"><a href="../../d3/d6d/_l_g_t_s___e_m_8m.html#a6d06c2e8938b1175de2a7aa2d5952924">LGTS_EM</a></div><div class="ttdeci">function LGTS_EM(in betahat0, in Dhat0, in beta_ihat, in invCi, in C_i, in conv, in DiagD, in Ai, in varargin)</div><div class="ttdoc">Second Stage EM algotithm based on 5.12, 5.13 and 5.14 in Davidians book, Chapter 5.</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Dec 3 2020 14:53:30 for GTSBox by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
